@echo off
cls
echo.
echo        VIETNAM 1965 - 1975 1.0
echo.
echo Loading graphic and event files for next phase of the game
echo Please choose from the options below:
echo.
echo 1. Set up March 1965
echo 2. Johnson launched 'Cambodian Invasion' or 'NVA Invasion'
echo 3. Nixon launched 'Cambodian Incursion'
echo 4. Cooper-Church Amendment
echo 5. PAVN Easter Offensive - If Johnson launched 'Cambodian Invasion'
echo 6. PAVN Easter Offensive - If Nixon launched 'Cambodia Incursion'
echo 7. PAVN Easter Offensive - If Nixon launched no incursion
echo X. Exit without Loading
echo.

if "%OS%"=="Windows_NT" goto winxp

choice /c:123456789X Enter your selection

if errorlevel x goto done
if errorlevel 7 goto EO-NixonNo
if errorlevel 6 goto EO-NixonCamb
if errorlevel 5 goto EO-Johnson
if errorlevel 4 goto Cooper
if errorlevel 3 goto Incursions
if errorlevel 2 goto Invasions
if errorlevel 1 goto March65

:winxp
set /P choice=Type a number (1-7) and hit Enter: 
if %choice%==1 goto March65
if %choice%==2 goto Invasions
if %choice%==3 goto Incursions
if %choice%==4 goto Cooper
if %choice%==5 goto EO-Johnson
if %choice%==6 goto EO-NixonCamb
if %choice%==7 goto EO-NixonNo
if %choice%==x goto done
goto winxp

:March65
echo.
echo Set up March 1965
@echo off
copy rules1.txt rules.txt
copy units1.bmp units.bmp
goto MSG

:Invasions
echo.
echo Johnson launched 'Cambodian Invasion' or 'NVA Invasion'
@echo off
copy rules2.txt rules.txt
copy units2.bmp units.bmp
goto MSG

:Incursions
echo.
echo Nixon launched 'Cambodian Incursion'
@echo off
copy rules2.txt rules.txt
copy units2.bmp units.bmp
goto MSG

:COOPER
echo.
echo Cooper-Church Amendment
@echo off
copy rules2.txt rules.txt
copy units3.bmp units.bmp
goto MSG

:EO-Johnson
echo.
echo PAVN Easter Offensive - If Johnson launched 'Cambodian Invasion'
@echo off
copy rules4.txt rules.txt
copy units2.bmp units.bmp
goto MSG

:EO-NixonCamb
echo.
echo PAVN Easter Offensive - If Nixon launched 'Cambodia Incursion'
@echo off
copy rules4.txt rules.txt
copy units3.bmp units.bmp
goto MSG

:EO-NixonNo
echo.
echo PAVN Easter Offensive - If Nixon launched no incursion
@echo off
copy rules3.txt rules.txt
copy units1.bmp units.bmp
goto MSG

:MSG
echo.
echo ==================================================================
echo Vietnam 1965 - 1975
echo.
echo 
echo 
echo 
echo 
echo ==================================================================
echo.
echo.
pause
goto done

:done
quit